Skip to main content
PATCH
/
api
/
v1
/
fraud
/
merchants
/
{merchant_id}
/
policy
Bayi fraud politikasını güncelle
curl --request PATCH \
  --url https://fraud-sandbox.payven.com.tr/api/v1/fraud/merchants/{merchant_id}/policy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "policies": [
    {
      "enabled": true,
      "reason": "<string>"
    }
  ]
}
'
{
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_external_id": "<string>",
  "policies": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_external_id": "<string>",
      "enabled": true,
      "reason": "<string>",
      "last_modified": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

merchant_id
string
required

Body

application/json
policies
object[] | null

Response

OK

tenant_id
string<uuid>
merchant_external_id
string | null
policies
object[] | null